package market.Qms.com.vo;

import java.io.Serializable;
import java.util.Date;

import market.Qms.com.mapper.PscRMscMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Table;

@Table(name="COM_PSC_R_MSC", namespace=PscRMscMapper.class)
public class PscRMsc extends BaseVO implements Serializable {

	/** 产品规范码 */
	@Column
	private String psc;

	/** 产品规范描述 */
	@Column("PSC_DESC")
	private String pscDesc;

	/** 用途代码 */
	@Column("ALPHA_CODE")
	private String alphaCode;

	/** 用途描述 */
	@Column("ALPHA_NAME")
	private String alphaName;


	/** 冶金规范码 */
	@Column
	private String msc;

	/** 冶金规范描述 */
	@Column("MSC_DESC")
	private String mscDesc;

	/** 创建人 */
	@Column("CREATE_NAME")
	private String createName;

	/** 创建时间 */
	@Column("CREATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;

	/** 修改人 */
	@Column("UPDATE_NAME")
	private String updateName;

	/** 修改时间 */
	@Column("UPDATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date updateTime;

	/** 删除人 */
	@Column("DELETE_NAME")
	private String deleteName;

	/** 删除时间 */
	@Column("DELETE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date deleteTime;

	/** 有效标志(1:有效，0:无效) */
	@Column
	private String validflag;

	/** 备注 */
	@Column
	private String memo;

	/** {老系统}产品规范码 */
	@Column("PSC_OLD")
	private String pscOld;

	/** {老系统}Alpha代码(客户标准) */
	@Column("USE_CODE_OLD")
	private String useCodeOld;

	/** {老系统}冶金规范码 */
	@Column("MSC_OLD")
	private String mscOld;

	/** 客户Alpha编号(SLM_CUST_ALPHA) */
	@Column("CUST_ALPHA_NO")
	private String custAlphaNo;
	
	

	public String getAlphaCode() {
		return alphaCode;
	}

	public void setAlphaCode(String alphaCode) {
		this.alphaCode = alphaCode;
	}

	public String getAlphaName() {
		return alphaName;
	}

	public void setAlphaName(String alphaName) {
		this.alphaName = alphaName;
	}

	public String getPsc() {
		return this.psc;
	}

	public String getPscDesc() {
		return this.pscDesc;
	}

	

	public String getMsc() {
		return this.msc;
	}

	public String getMscDesc() {
		return this.mscDesc;
	}

	public String getCreateName() {
		return this.createName;
	}

	public Date getCreateTime() {
		return this.createTime;
	}

	public String getUpdateName() {
		return this.updateName;
	}

	public Date getUpdateTime() {
		return this.updateTime;
	}

	public String getDeleteName() {
		return this.deleteName;
	}

	public Date getDeleteTime() {
		return this.deleteTime;
	}

	public String getValidflag() {
		return this.validflag;
	}

	public String getMemo() {
		return this.memo;
	}

	public String getPscOld() {
		return this.pscOld;
	}

	public String getUseCodeOld() {
		return this.useCodeOld;
	}

	public String getMscOld() {
		return this.mscOld;
	}

	public String getCustAlphaNo() {
		return this.custAlphaNo;
	}

	public void setPsc(String psc) {
		this.psc = psc;
	}

	public void setPscDesc(String pscDesc) {
		this.pscDesc = pscDesc;
	}

	
	public void setMsc(String msc) {
		this.msc = msc;
	}

	public void setMscDesc(String mscDesc) {
		this.mscDesc = mscDesc;
	}

	public void setCreateName(String createName) {
		this.createName = createName;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public void setDeleteName(String deleteName) {
		this.deleteName = deleteName;
	}

	public void setDeleteTime(Date deleteTime) {
		this.deleteTime = deleteTime;
	}

	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public void setPscOld(String pscOld) {
		this.pscOld = pscOld;
	}

	public void setUseCodeOld(String useCodeOld) {
		this.useCodeOld = useCodeOld;
	}

	public void setMscOld(String mscOld) {
		this.mscOld = mscOld;
	}

	public void setCustAlphaNo(String custAlphaNo) {
		this.custAlphaNo = custAlphaNo;
	}

}
